<template>
  <div class="overlay" :class="{ active: open }"></div>
</template>

<script lang="ts">
import { defineComponent } from "vue";
export default defineComponent({
  props: {
    open: {
      type: Boolean,
      required: true,
    },
  },
});
</script>

<style scoped>
.overlay {
  position: absolute;
  width: 0;
  height: 100%;
  top: 0;
  left: 0;
  z-index: 1030;
  background-color: #212529;
  opacity: 0;
  transition: opacity 200ms ease-in;
}

.overlay.active {
  opacity: 0.35;
  width: 100%;
}
</style>
